/**
 ******************************************************************************
 *
 * @file        MG82F6P32_UART0_MID.h
 *
 * @brief       This is the C code format driver file.
 *
 * @par         Project
 *              MG82F6P32
 * @version     V1.00
 * @date        2024/03/13
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2024 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************
 * @par         Disclaimer
 *          The Demo software is provided "AS IS"  without any warranty, either
 *          expressed or implied, including, but not limited to, the implied warranties
 *          of merchantability and fitness for a particular purpose.  The author will
 *          not be liable for any special, incidental, consequential or indirect
 *          damages due to loss of data or any other reason.
 *          These statements agree with the world wide and local dictated laws about
 *          authorship and violence against these laws.
 ******************************************************************************
 ******************************************************************************
 */

#ifndef MG82F6P32_UART0_MID_H
#define MG82F6P32_UART0_MID_H

///@cond __DRV_URT0_Easy_Wizard_Init
typedef enum
    {
        UART0_SELECT0,
        UART0_SELECT1,
        UART0_SELECT2,
        UART0_SELECT3,
        UART0_SELECT4,
        UART0_SELECT5,
        UART0_SELECT6,
        UART0_SELECT7,
        UART0_SELECT8,
        UART0_SELECT9,
        UART0_SELECT10,
        UART0_SELECT11,
        UART0_SELECT12,
        UART0_SELECT13,
        UART0_SELECT14,
        UART0_SELECT15,
        UART0_SELECT16,
        UART0_SELECT17,
        UART0_SELECT18,
        UART0_SELECT19,
        UART0_SELECT20,
        UART0_SELECT21,
        UART0_SELECT22,
        UART0_SELECT23,
        UART0_SELECT24,
        UART0_SELECT25,
        UART0_SELECT26,
        UART0_SELECT27,
        UART0_SELECT28,
        UART0_SELECT29,
        UART0_SELECT30,
        UART0_SELECT31,
        UART0_SELECT32,
        UART0_SELECT33,
        UART0_SELECT34,
        UART0_SELECT35,
        UART0_SELECT36,
        UART0_SELECT37,
        UART0_SELECT38,
        UART0_SELECT39,
        UART0_SELECT40,
        UART0_SELECT41,
        UART0_SELECT42,
        UART0_SELECT43,
        UART0_SELECT44,
        UART0_SELECT45,
        UART0_SELECT46,
        UART0_SELECT47,
        UART0_SELECT48,
        UART0_SELECT49,
        UART0_SELECT50,
        UART0_SELECT51,
        UART0_SELECT52,
        UART0_SELECT53,
        UART0_SELECT54,
        UART0_SELECT55,
        UART0_SELECT56,
        UART0_SELECT57,
        UART0_SELECT58,
        UART0_SELECT59,
        UART0_SELECT60,
        UART0_SELECT61,
        UART0_SELECT62,
        UART0_SELECT63,
        UART0_SELECT64,
        UART0_SELECT65,
        UART0_SELECT66,
        UART0_SELECT67,
        UART0_SELECT68,
        UART0_SELECT69,
        UART0_SELECT70,
        UART0_SELECT71,
        UART0_SELECT72,
        UART0_SELECT73,
        UART0_SELECT74,
        UART0_SELECT75,
        UART0_SELECT76,
        UART0_SELECT77,
        UART0_SELECT78,
        UART0_SELECT79,
        UART0_SELECT80,
        UART0_SELECT81,
        UART0_SELECT82,
        UART0_SELECT83,
        UART0_SELECT84,
        UART0_SELECT85,
        UART0_SELECT86,
        UART0_SELECT87,
        UART0_SELECT88,
        UART0_SELECT89,
        UART0_SELECT90,
        UART0_SELECT91,
        UART0_SELECT92,
        UART0_SELECT93,
        UART0_SELECT94,
        UART0_SELECT95,
        UART0_SELECT96,
        UART0_SELECT97,
        UART0_SELECT98,
        UART0_SELECT99,
        UART0_SELECT100,
        UART0_SELECT101,
        UART0_SELECT102,
        UART0_SELECT103,
        UART0_SELECT104,
        UART0_SELECT105,
        UART0_SELECT106,
        UART0_SELECT107,
        UART0_SELECT108,
        UART0_SELECT109,
        UART0_SELECT110,
        UART0_SELECT111,
        UART0_SELECT112,
        UART0_SELECT113,
        UART0_SELECT114,
        UART0_SELECT115,
        UART0_SELECT116,
        UART0_SELECT117,
        UART0_SELECT118,
        UART0_SELECT119,
        UART0_SELECT120,
        UART0_SELECT121,
        UART0_SELECT122,
        UART0_SELECT123,
        UART0_SELECT124,
        UART0_SELECT125,
        UART0_SELECT126,
        UART0_SELECT127,
        UART0_SELECT128,
        UART0_SELECT129,
        UART0_SELECT130,
        UART0_SELECT131,
        UART0_SELECT132,
        UART0_SELECT133,
        UART0_SELECT134,
        UART0_SELECT135,
        UART0_SELECT136,
        UART0_SELECT137,
        UART0_SELECT138,
        UART0_SELECT139,
        UART0_SELECT140,
        UART0_SELECT141,
        UART0_SELECT142,
        UART0_SELECT143 = 143
    } UART0_SELECT;
///@endcond

/**
*******************************************************************************
* @brief         UART0 Easy Wizard
* @details       Set SM30 SM00 SM10 S0DOR SMOD2 SMOD1 SMOD3 S0TX12 S0RCK S0TCK
* @param[in]     __SELECT__ :
*  @arg\b        UART0_SELECT0 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT1 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT2 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT3 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT4 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT5 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT6 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT7 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT8 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT9 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT10 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT11 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT12 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT13 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT14 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT15 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT16 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT17 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT18 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT19 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT20 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT21 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT22 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT23 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT24 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT25 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT26 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT27 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT28 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT29 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT30 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT31 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT32 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT33 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT34 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT35 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT36 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT37 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT38 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT39 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT40 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT41 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT42 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT43 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT44 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT45 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT46 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT47 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT48 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT49 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT50 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT51 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT52 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT53 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT54 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT55 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT56 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT57 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT58 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT59 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT60 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT61 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT62 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT63 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT64 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT65 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT66 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT67 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT68 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT69 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT70 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT71 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT72 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT73 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT74 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT75 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT76 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT77 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT78 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT79 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT80 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT81 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT82 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT83 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT84 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT85 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT86 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT87 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT88 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT89 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT90 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT91 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT92 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT93 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT94 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT95 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT96 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT97 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT98 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT99 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT100 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT101 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT102: 19200 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT103: 19200 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT104: 19200 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT105: 19200 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT106: 19200 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT107: 19200 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT108: 57600 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT109: 57600 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT110: 57600 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT111: 57600 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT112: 57600 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT113: 57600 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT114: 115200 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT115: 115200 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT116: 115200 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT117: 115200 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT118: 115200 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT119: 115200 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT120: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT121: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT122: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT123 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT124 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT125 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT126 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT127 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT128 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT129 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT130 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT131 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT132 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT133 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT134 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT135 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT136 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT137 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT138 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT139 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT140 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT141 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT142 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT143 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
* @return        None
* @note          None
* @par           Example
* @code
                 __DRV_URT0_Mode_Easy_Select(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_Mode_Easy_Select(__SELECT__)\
    MWT(\
        __DRV_URT0_EasySetSM30(__SELECT__);\
        __DRV_URT0_EasySetSM00(__SELECT__);\
        __DRV_URT0_EasySetSM10(__SELECT__);\
        __DRV_URT0_EasySetS0DOR(__SELECT__);\
        __DRV_URT0_EasySetSMOD2(__SELECT__);\
        __DRV_URT0_EasySetSMOD1(__SELECT__);\
        __DRV_URT0_EasySetSMOD3(__SELECT__);\
        __DRV_URT0_EasySetS0TX12(__SELECT__);\
        __DRV_URT0_EasySetS0RCK(__SELECT__);\
        __DRV_URT0_EasySetS0TCK(__SELECT__);\
    ;)

/**
*******************************************************************************
* @brief         UART0 Easy Wizard
* @details       Set S0TR S0BRT S0BRC
* @param[in]     __SELECT__ :
*  @arg\b        UART0_SELECT0 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT1 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT2 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT3 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT4 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT5 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT6 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT7 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT8 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT9 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT10 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT11 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT12 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT13 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT14 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT15 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT16 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT17 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT18 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT19 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT20 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT21 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT22 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT23 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT24 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT25 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT26 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT27 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT28 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT29 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT30 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT31 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT32 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT33 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT34 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT35 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT36 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT37 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT38 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT39 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT40 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT41 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT42 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT43 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT44 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT45 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT46 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT47 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT48 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT49 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT50 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT51 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT52 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT53 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT54 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT55 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT56 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT57 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT58 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT59 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT60 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT61 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT62 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT63 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT64 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT65 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT66 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT67 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT68 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT69 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT70 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT71 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT72 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT73 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT74 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT75 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT76 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT77 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT78 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT79 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT80 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT81 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT82 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT83 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT84 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT85 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT86 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT87 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT88 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT89 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT90 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT91 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT92 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT93 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT94 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT95 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT96 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT97 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT98 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT99 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT100 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT101 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT102: 19200 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT103: 19200 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT104: 19200 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT105: 19200 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT106: 19200 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT107: 19200 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT108: 57600 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT109: 57600 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT110: 57600 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT111: 57600 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT112: 57600 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT113: 57600 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT114: 115200 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT115: 115200 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT116: 115200 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT117: 115200 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT118: 115200 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT119: 115200 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT120: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT121: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT122: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT123 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT124 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT125 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT126 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT127 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT128 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT129 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT130 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT131 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT132 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT133 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT134 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT135 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT136 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT137 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT138 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT139 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT140 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT141 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT142 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT143 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
* @return        None
* @note          None
* @par           Example
* @code
                 __DRV_URT0_BaudRate_Easy_Select(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_BaudRate_Easy_Select(__SELECT__)\
    MWT(\
        __DRV_URT0_EasySetS0TR_Stop(__SELECT__);\
        __DRV_URT0_EasySetS0BRT(__SELECT__);\
        __DRV_URT0_EasySetS0BRC(__SELECT__);\
        __DRV_URT0_EasySetS0TR_Start(__SELECT__);\
    ;)

/**
*******************************************************************************
* @brief         UART0 PinMux Easy Wizard
* @details       Set S0PS0 S0PS1
* @param[in]     __SELECT__ :
*  @arg\b        UART0_SELECT0 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT1 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT2 : 9600 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT3 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT4 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT5 : 9600 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT6 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT7 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT8 : 19200 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT9 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT10 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT11 : 19200 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT12 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT13 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT14 : 57600 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT15 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT16 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT17 : 57600 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT18 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT19 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT20 : 115200 12MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT21 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT22 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT23 : 115200 12MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT24 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT25 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT26 : 115200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT27 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT28 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT29 : 115200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT30 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT31 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT32 : 57600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT33 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT34 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT35 : 57600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT36 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT37 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT38 : 19200 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT39 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT40 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT41 : 19200 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT42 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT43 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT44 : 9600 11.0592MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT45 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT46 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT47 : 9600 11.0592MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT48 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT49 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT50 : 19200 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT51 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT52 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT53 : 19200 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT54 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT55 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT56 : 57600 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT57 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT58 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT59 : 57600 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT60 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT61 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT62 : 115200 24MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT63 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT64 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT65 : 115200 24MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT66 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT67 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT68 : 115200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT69 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT70 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT71 : 115200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT72 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT73 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT74 : 57600 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT75 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT76 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT77 : 57600 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT78 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT79 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT80 : 19200 22.1184MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT81 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT82 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT83 : 19200 22.1184MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT84 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT85 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT86 : 19200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT87 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT88 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT89 : 19200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT90 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT91 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT92 : 57600 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT93 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT94 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT95 : 57600 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT96 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT97 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT98 : 115200 29.4912MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT99 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT100 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT101 : 115200 29.4912MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT102: 19200 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT103: 19200 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT104: 19200 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT105: 19200 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT106: 19200 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT107: 19200 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT108: 57600 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT109: 57600 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT110: 57600 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT111: 57600 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT112: 57600 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT113: 57600 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT114: 115200 32MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT115: 115200 32MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT116: 115200 32MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT117: 115200 32MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT118: 115200 32MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT119: 115200 32MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT120: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT121: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT122: 57600 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT123 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT124 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT125 : 57600 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT126 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT127 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT128 : 115200 44.2368MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT129 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT130 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT131 : 115200 44.2368MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT132 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT133 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT134 : 115200  48MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT135 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT136 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT137 : 115200  48MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT138 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT139 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT140 : 57600  48MHz 8bit LSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT141 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Tx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT142 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Rx only SYSCLK/1 double baud rate S0BRG
*  @arg\b        UART0_SELECT143 : 57600  48MHz 8bit MSB Rx p30 Tx p31 Tx/Rx both SYSCLK/1 double baud rate S0BRG
* @return        None
* @note          None
* @par           Example
* @code
                 __DRV_URT0_PinMux_Easy_Select(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_PinMux_Easy_Select(__SELECT__)\
    MWT(\
        __DRV_URT0_EasySetP3M2(__SELECT__);\
        __DRV_URT0_EasySetS0PS0(__SELECT__);\
        __DRV_URT0_EasySetS0PS1(__SELECT__);\
    ;)

/**
*******************************************************************************
* @brief        UART0 Serial Reception
* @details      Set REN0
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasyEnableSerialReception(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasyEnableSerialReception(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(REN0=1):(REN0=1));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Serial Reception
* @details      Clear REN0
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasyDisableSerialReception(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasyDisableSerialReception(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(REN0=0):(REN0=0));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Mode Select
* @details      Set SM30
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetSM30(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetSM30(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(S0CFG=S0CFG&~(SM30)):(S0CFG=S0CFG&~(SM30)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Mode Select
* @details      Set SM00
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetSM00(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetSM00(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(SM00_FE=0):(SM00_FE=0));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Mode Select
* @details      Set SM10
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetSM10(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetSM10(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(SM10=1):(SM10=1));\
    ;)

/**
*******************************************************************************
* @brief        UART0 S0CR1 Access Enable.
* @details      Set SMOD3
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetSMOD3(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetSMOD3(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(S0CFG=S0CFG|(SMOD3)):(S0CFG=S0CFG|(SMOD3)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 S0BRG Clock Source
* @details      Set S0TX12
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         Before set S0TX12 , set SMOD3=1 first
* @par          Example
* @code
                __DRV_URT0_EasySetS0TX12(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0TX12(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(S0CR1=S0CR1|(S0TX12)):(S0CR1=S0CR1|(S0TX12)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Receive Clock
* @details      Set S0RCK
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetS0RCK(URT0_8BIT_CONFIG0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0RCK(__SELECT__)\
    MWT(\
        ((__SELECT__%3)==0?(S0CR1=S0CR1&~(S0RCK)):(S0CR1=S0CR1|(S0RCK)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Transmit Clock
* @details      Set S0TCK
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                ___DRV_URT0_EasySetS0TCK(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0TCK(__SELECT__)\
    MWT(\
        (((__SELECT__+2)%3)==0?(S0CR1=S0CR1&~(S0TCK)):(S0CR1=S0CR1|(S0TCK)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Data Order
* @details      Set S0DOR
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetS0DOR(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0DOR(__SELECT__)\
    MWT(\
        ((__SELECT__%6)==0?(S0CFG=S0CFG|(S0DOR)):\
        (__SELECT__%6)==1?(S0CFG=S0CFG|(S0DOR)):\
        (__SELECT__%6)==2?(S0CFG=S0CFG|(S0DOR)):\
        (__SELECT__%6)==3?(S0CFG=S0CFG&~(S0DOR)):\
        (__SELECT__%6)==4?(S0CFG=S0CFG&~(S0DOR)):\
        (__SELECT__%6)==5?(S0CFG=S0CFG&~(S0DOR)):_nop_());\
    ;)

/**
*******************************************************************************
* @brief       UART0 Enhance Baud Rate
* @details      Set SMOD1
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetSMOD1(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetSMOD1(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(PCON0=PCON0&~(SMOD1)):(PCON0=PCON0&~(SMOD1)));\
    ;)

/**
*******************************************************************************
* @brief       UART0 Enhance Baud Rate.
* @details     Set SMOD2
* @param[in]   __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return      None
* @note        None
* @par         Example
* @code
               __DRV_URT0_EasySetSMOD2(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetSMOD2(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(S0CFG=S0CFG|(SMOD2)):(S0CFG=S0CFG|(SMOD2)));\
    ;)

/**
*******************************************************************************
* @brief        UART0  Baud Rate Generator Reload Register
* @details      Write S0BRT
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         Before write S0BRT and S0BRC,S0BRG operation stop first
* @par          Example
* @code
                __DRV_URT0_EasySetS0BRT(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

///@cond __DRV_URT0_EasySetS0BRT
//                                                              //error

#define S0BRG_BRGRL_115200_2X_11059200_1T           244        // 0%
#define S0BRG_BRGRL_57600_2X_11059200_1T            232        // 0%
#define S0BRG_BRGRL_19200_2X_11059200_1T            184        // 0%
#define S0BRG_BRGRL_9600_2X_11059200_1T             112        // 0%
//#define S0BRG_BRGRL_230400_2X_11059200_1T         250        // 0%


#define S0BRG_BRGRL_9600_2X_12000000_1T             100        // 0.16%
#define S0BRG_BRGRL_19200_2X_12000000_1T            178        // 0.16%
//#define S0BRG_BRGRL_38400_2X_12000000_1T          217        // 0.16%
#define S0BRG_BRGRL_57600_2X_12000000_1T            230        // 0.16%
#define S0BRG_BRGRL_115200_2X_12000000_1T           243        // 0.16%

#define S0BRG_BRGRL_19200_2X_22118400_1T            112        // 0%
//#define S0BRG_BRGRL_38400_2X_22118400_1T          184        // 0%
#define S0BRG_BRGRL_57600_2X_22118400_1T            208        // 0%
#define S0BRG_BRGRL_115200_2X_22118400_1T           232        // 0%
//#define S0BRG_BRGRL_230400_2X_22118400_1T         244        // 0%
//#define S0BRG_BRGRL_460800_2X_22118400_1T         250        // 0%
//#define S0BRG_BRGRL_691200_2X_22118400_1T         252        // 0%
//#define S0BRG_BRGRL_1382400_2X_22118400_1T        254        // 0%

#define S0BRG_BRGRL_19200_2X_24000000_1T            100        // 0.16%
//#define S0BRG_BRGRL_38400_2X_24000000_1T          178        // 0.16%
#define S0BRG_BRGRL_57600_2X_24000000_1T            204        // 0.16%
#define S0BRG_BRGRL_115200_2X_24000000_1T           230        // 0.16%
//#define S0BRG_BRGRL_230400_2X_24000000_1T         243        // 0.16%

#define S0BRG_BRGRL_19200_2X_29491200_1T            64         // 0%
//#define S0BRG_BRGRL_38400_2X_29491200_1T          160        // 0%
#define S0BRG_BRGRL_57600_2X_29491200_1T            192        // 0%
#define S0BRG_BRGRL_115200_2X_29491200_1T           224        // 0%
//#define S0BRG_BRGRL_230400_2X_29491200_1T         240        // 0%

#define S0BRG_BRGRL_19200_2X_32000000_1T            48         // 0.16%
//#define S0BRG_BRGRL_38400_2X_32000000_1T          152        // 0.16%
#define S0BRG_BRGRL_57600_2X_32000000_1T            187        // 0.64%
#define S0BRG_BRGRL_115200_2X_32000000_1T           221        // -0.79%

//#define S0BRG_BRGRL_38400_2X_44236800_1T          112        // 0%
#define S0BRG_BRGRL_57600_2X_44236800_1T            160        // 0%
#define S0BRG_BRGRL_115200_2X_44236800_1T           208        // 0%
//#define S0BRG_BRGRL_230400_2X_44236800_1T         232        // 0%
//#define S0BRG_BRGRL_460800_2X_44236800_1T         244        // 0%

#define S0BRG_BRGRL_57600_2X_48000000_1T            152        // 0.16%
#define S0BRG_BRGRL_115200_2X_48000000_1T           204        // 0.16%
//#define S0BRG_BRGRL_230400_2X_48000000_1T         230        // 0.16%
//#define S0BRG_BRGRL_460800_2X_48000000_1T         243        // 0.16%

///@endcond
#define __DRV_URT0_EasySetS0BRT(__SELECT__)\
    MWT(\
        ((__SELECT__/6)==0?(S0BRT=S0BRG_BRGRL_9600_2X_12000000_1T):\
        (__SELECT__/6)==1?(S0BRT=S0BRG_BRGRL_19200_2X_12000000_1T):\
        (__SELECT__/6)==2?(S0BRT=S0BRG_BRGRL_57600_2X_12000000_1T):\
        (__SELECT__/6)==3?(S0BRT=S0BRG_BRGRL_115200_2X_12000000_1T):\
        (__SELECT__/6)==4?(S0BRT=S0BRG_BRGRL_115200_2X_11059200_1T):\
        (__SELECT__/6)==5?(S0BRT=S0BRG_BRGRL_57600_2X_11059200_1T):\
        (__SELECT__/6)==6?(S0BRT=S0BRG_BRGRL_19200_2X_11059200_1T):\
        (__SELECT__/6)==7?(S0BRT=S0BRG_BRGRL_9600_2X_11059200_1T):\
        (__SELECT__/6)==8?(S0BRT=S0BRG_BRGRL_19200_2X_24000000_1T):\
        (__SELECT__/6)==9?(S0BRT=S0BRG_BRGRL_57600_2X_24000000_1T):\
        (__SELECT__/6)==10?(S0BRT=S0BRG_BRGRL_115200_2X_24000000_1T):\
        (__SELECT__/6)==11?(S0BRT=S0BRG_BRGRL_115200_2X_22118400_1T):\
        (__SELECT__/6)==12?(S0BRT=S0BRG_BRGRL_57600_2X_22118400_1T):\
        (__SELECT__/6)==13?(S0BRT=S0BRG_BRGRL_19200_2X_22118400_1T):\
        (__SELECT__/6)==14?(S0BRT=S0BRG_BRGRL_19200_2X_29491200_1T):\
        (__SELECT__/6)==15?(S0BRT=S0BRG_BRGRL_57600_2X_29491200_1T):\
        (__SELECT__/6)==16?(S0BRT=S0BRG_BRGRL_115200_2X_29491200_1T):\
        (__SELECT__/6)==17?(S0BRT=S0BRG_BRGRL_19200_2X_32000000_1T):\
        (__SELECT__/6)==18?(S0BRT=S0BRG_BRGRL_57600_2X_32000000_1T):\
        (__SELECT__/6)==19?(S0BRT=S0BRG_BRGRL_115200_2X_32000000_1T):\
        (__SELECT__/6)==20?(S0BRT=S0BRG_BRGRL_57600_2X_44236800_1T):\
        (__SELECT__/6)==21?(S0BRT=S0BRG_BRGRL_115200_2X_44236800_1T):\
        (__SELECT__/6)==22?(S0BRT=S0BRG_BRGRL_115200_2X_48000000_1T):\
        (__SELECT__/6)==23?(S0BRT=S0BRG_BRGRL_57600_2X_48000000_1T):_nop_());\
    ;)

/**
*******************************************************************************
* @brief        UART0  Baud Rate Generator Reload Register
* @details      Write S0BRC
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         Before write S0BRT and S0BRC,S0BRG operation stop first
* @par          Example
* @code
                __DRV_URT0_EasySetS0BRC(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0BRC(__SELECT__)\
    MWT(\
        ((__SELECT__/6)==0?(S0BRC=S0BRG_BRGRL_9600_2X_12000000_1T):\
        (__SELECT__/6)==1?(S0BRC=S0BRG_BRGRL_19200_2X_12000000_1T):\
        (__SELECT__/6)==2?(S0BRC=S0BRG_BRGRL_57600_2X_12000000_1T):\
        (__SELECT__/6)==3?(S0BRC=S0BRG_BRGRL_115200_2X_12000000_1T):\
        (__SELECT__/6)==4?(S0BRC=S0BRG_BRGRL_115200_2X_11059200_1T):\
        (__SELECT__/6)==5?(S0BRC=S0BRG_BRGRL_57600_2X_11059200_1T):\
        (__SELECT__/6)==6?(S0BRC=S0BRG_BRGRL_19200_2X_11059200_1T):\
        (__SELECT__/6)==7?(S0BRC=S0BRG_BRGRL_9600_2X_11059200_1T):\
        (__SELECT__/6)==8?(S0BRC=S0BRG_BRGRL_19200_2X_24000000_1T):\
        (__SELECT__/6)==9?(S0BRC=S0BRG_BRGRL_57600_2X_24000000_1T):\
        (__SELECT__/6)==10?(S0BRC=S0BRG_BRGRL_115200_2X_24000000_1T):\
        (__SELECT__/6)==11?(S0BRC=S0BRG_BRGRL_115200_2X_22118400_1T):\
        (__SELECT__/6)==12?(S0BRC=S0BRG_BRGRL_57600_2X_22118400_1T):\
        (__SELECT__/6)==13?(S0BRC=S0BRG_BRGRL_19200_2X_22118400_1T):\
        (__SELECT__/6)==14?(S0BRC=S0BRG_BRGRL_19200_2X_29491200_1T):\
        (__SELECT__/6)==15?(S0BRC=S0BRG_BRGRL_57600_2X_29491200_1T):\
        (__SELECT__/6)==16?(S0BRC=S0BRG_BRGRL_115200_2X_29491200_1T):\
        (__SELECT__/6)==17?(S0BRC=S0BRG_BRGRL_19200_2X_32000000_1T):\
        (__SELECT__/6)==18?(S0BRC=S0BRG_BRGRL_57600_2X_32000000_1T):\
        (__SELECT__/6)==19?(S0BRC=S0BRG_BRGRL_115200_2X_32000000_1T):\
        (__SELECT__/6)==20?(S0BRC=S0BRG_BRGRL_57600_2X_44236800_1T):\
        (__SELECT__/6)==21?(S0BRC=S0BRG_BRGRL_115200_2X_44236800_1T):\
        (__SELECT__/6)==22?(S0BRC=S0BRG_BRGRL_115200_2X_48000000_1T):\
        (__SELECT__/6)==23?(S0BRC=S0BRG_BRGRL_57600_2X_48000000_1T):_nop_());\
    ;)

/**
*******************************************************************************
* @brief        UART0 S0BRG Operation Enable
* @details      Set S0TR
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         Before write S0BRT and S0BRC,S0BRG operation stop first
* @par          Example
* @code
                __DRV_URT0_EasySetS0TR_Start(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0TR_Start(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(S0CR1=S0CR1|(S0TR)):(S0CR1=S0CR1|(S0TR)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 S0BRG Operation Disable
* @details      Set S0TR
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         Before write S0BRT and S0BRC,S0BRG operation stop first
* @par          Example
* @code
                __DRV_URT0_EasySetS0TR_Stop(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0TR_Stop(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(S0CR1=S0CR1&~(S0TR)):(S0CR1=S0CR1&~(S0TR)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Pin Config
* @details      Set P3M2
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetP3M2(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetP3M2(__SELECT__)\
    MWT(\
        __DRV_SFR_PageIndex(P3M2_Page);\
        ((__SELECT__^UART0_SELECT0)==0?(P3M2=P3M2&~(P3M20|P3M21)):(P3M2=P3M2&~(P3M20|P3M21)));\
        __DRV_SFR_PageIndex(0);\
    ;)

/**
*******************************************************************************
* @brief        UART0 Pin Config
* @details      Set S0PS0
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetS0PS0(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0PS0(__SELECT__)\
    MWT(\
        ((__SELECT__^UART0_SELECT0)==0?(AUXR3=AUXR3&~(S0PS0)):(AUXR3=AUXR3&~(S0PS0)));\
    ;)

/**
*******************************************************************************
* @brief        UART0 Pin Config
* @details      Set S0PS1
* @param[in]    __SELECT__ :
*  @arg\b       UART0_SELECT0~UART0_SELECT179
* @return       None
* @note         None
* @par          Example
* @code
                __DRV_URT0_EasySetS0PS1(UART0_SELECT0)
* @endcode
*******************************************************************************
*/

#define __DRV_URT0_EasySetS0PS1(__SELECT__)\
    MWT(\
        __DRV_SFR_PageIndex(AUXR10_Page);\
        ((__SELECT__^UART0_SELECT0)==0?(AUXR10=AUXR10&~(S0PS1)):(AUXR10=AUXR10&~(S0PS1)));\
        __DRV_SFR_PageIndex(0);\
    ;)


#endif  //MG82F6P32_UART0_MID_H


