/**
 ******************************************************************************
 *
 * @file        MG82F6P32_UARTx_ARGB_MID.h
 *
 * @brief       This is the C code format driver file.
 *
 * @par         Project
 *              MG82F6P32
 * @version     V1.00
 * @date        2024/03/26
 * @author      Megawin Software Center
 * @copyright   Copyright (c) 2024 MegaWin Technology Co., Ltd.
 *              All rights reserved.
 *
 ******************************************************************************
 * @par         Disclaimer
 *      The Demo software is provided "AS IS" without any warranty, either
 *      expressed or implied, including, but not limited to, the implied warranties
 *      of merchantability and fitness for a particular purpose. The author will
 *      not be liable for any special, incidental, consequential or indirect
 *      damages due to loss of data or any other reason.
 *      These statements agree with the world wide and local dictated laws about
 *      authorship and violence against these laws.
 ******************************************************************************
 ******************************************************************************
 */


#ifndef _MG82F6P32_UARTx_ARGB_MID_H
#define _MG82F6P32_UARTx_ARGB_MID_H


/**
*******************************************************************************
* @brief         UART0 ARGB Easy Wizard
* @details
* @param[in]     __SELECT__ : Set to UART0 ARGB Mode
*  @arg\b        UART0_SELECT0 : Set to UART0 ARGB Mode
* @return        None
* @note          None
* @par           Example
* @code
                 __DRV_URT0_ARGB_Easy_SetMode(UART0_SELECT0)
* @endcode
*******************************************************************************
*/
#define __DRV_URT0_ARGB_Easy_SetMode(__SELECT__)\
    MWT(\
        __DRV_URT0_EasySetSMOD3(__SELECT__);\
        __DRV_URT0_EasySetSM30(__SELECT__);\
        __DRV_URT0_EasySetSM00(__SELECT__);\
        __DRV_URT0_ARGB_SetSM10(MW_DISABLE);\
        __DRV_URT0_ARGB_SetS0RCK(MW_ENABLE);\
        __DRV_URT0_ARGB_SetS0TCK(MW_ENABLE);\
    ;)


/**
*******************************************************************************
* @brief         UART1 ARGB Easy Wizard
* @details
* @param[in]     __SELECT__ : Set to UART1 ARGB Mode
*  @arg\b        UART1_SELECT0 : Set to UART1 ARGB Mode
* @return        None
* @note          None
* @par           Example
* @code
                 __DRV_URT1_ARGB_Easy_SetMode(UART1_SELECT0)
* @endcode
*******************************************************************************
*/
#define __DRV_URT1_ARGB_Easy_SetMode(__SELECT__)\
    MWT(\
        __DRV_URT1_ARGB_SetS1TME(MW_ENABLE);\
        __DRV_URT1_ARGB_SetSM31(MW_DISABLE);\
        __DRV_URT1_ARGB_SetSM01(MW_DISABLE);\
        __DRV_URT1_ARGB_SetSM11(MW_ENABLE);\
    ;)



#endif  //MG82F6P32_UARTx_ARGB_MID_H



